Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class DiagramXmlReader

    java.lang.Object
      biouml.model.util.DiagramXmlConstants
          biouml.model.util.DiagramXmlSupport
              biouml.model.util.DiagramXmlReader

public class DiagramXmlReader
extends DiagramXmlSupport

Pendung:
  store DiagramInfo as a compoent.

Field Summary
`protected DiagramInfo` | `diagramInfo`
`protected java.lang.String` | `name`
`protected java.io.InputStream` | `stream`

Fields inherited from class biouml.model.util.DiagramXmlSupport
`diagram, file, log, resources`

Fields inherited from class biouml.model.util.DiagramXmlConstants
`AFTER_ATTR, AFTER_ELEMENT, APPVERSION_ATTR, ASSIGNMENT_ELEMENT, BACKGROUND_COLOR_ATTR, BACKGROUND_VISIBLE_ATTR, BOUNDARY_CONDITION_ATTR, COLOR_ATTR, COMMENT_ATTR, COMPARTMENT_ELEMENT, COMPARTMENT_INFO_ELEMENT, COMPLETION_TIME_ATTR, DELAY_ATTR, DELAY_UNIT_ATTR, DIAGRAM_ELEMENT, DIAGRAM_ELEMENT_ATTR, DIAGRAM_INFO_ATTR, DIAGRAM_INFO_ELEMENT, DIAGRAM_TYPE_ATTR, DML_ELEMENT, EDGE_ELEMENT, EDGES_ELEMENT, EQUATION_ELEMENT, EQUATION_TYPE_ATTR, EQUIVALENTNODEGROUP_ELEMENT, EVENT_ELEMENT, EXECUTABLE_MODEL_ELEMENT, FORMULA_ATTR, HEIGHT_ATTR, HIDE_TITLE_ATTTR, ID_ATTR, IMAGE_ELEMENT, IN_REF_ATTR, INITIAL_TIME_ATTR, INITIAL_VALUE_ATTR, INPORT_ATTR, KERNEL_REF_ATTR, KERNEL_TYPE_ATTR, MODEL_CLASS_ATTR, NAME_ATTR, NODE_ELEMENT, NODES_ELEMENT, ON_EVENT_ELEMENT, OUT_REF_ATTR, OUTPORT_ATTR, PARAMETER_ELEMENT, PLOT_LINE_SPEC_ATTR, REPRESENTATIVE_ATTR, SHAPE_ATTR, SHOW_IN_PLOT_ATTR, SRC_ATTR, STATE_ELEMENT, STATE_ENTRY_ELEMENT, STATE_EXIT_ELEMENT, STATE_ON_EVENT_ELEMENT, STUB, TITLE_ATTR, TRANSITION_ELEMENT, TRIGGER_ATTR, UNITS_ATTR, UNKNOWN_VALUE, VALUE_ATTR, VARIABLE_ATTR, VARIABLE_ELEMENT, VERSION_ATTR, WHEN_ELEMENT, WIDTH_ATTR, X_ATTR, Y_ATTR`

Constructor Summary
`DiagramXmlReader(java.io.File inFile)` This constructor is used to read diagram from file.
`DiagramXmlReader(java.lang.String name, java.io.InputStream stream, DiagramInfo diagramInfo)` This constructor is used to read diagram from stream and can be used to read diagram from relational database (TEXT or BLOB).

Method Summary
`protected static void` | `getTitle(org.w3c.dom.Element element, DiagramElement de)`
`Diagram` | `read()`
`Diagram` | `read(DataCollection origin, Module module)`
`protected Assignment` | `readAssignment(org.w3c.dom.Element element, EModel model)`
`static void` | `readCompartmentInfo(org.w3c.dom.Element element, Compartment compartment, java.lang.String diagramName)`
`protected static java.awt.Dimension` | `readDimension(org.w3c.dom.Element element, java.lang.String diagramName, java.lang.String elementName)`
`static void` | `readEdgeInfo(org.w3c.dom.Element element, Edge edge, java.lang.String diagramName)`
`protected Equation` | `readEquation(org.w3c.dom.Element element, java.lang.String diagramElement, EModel model)`
`protected void` | `readEquations(org.w3c.dom.Element modelElement, EModel model)`
`protected void` | `readEvent(org.w3c.dom.Element element, java.lang.String diagramElement, EModel model)`
`protected void` | `readEvents(org.w3c.dom.Element modelElement, EModel model)`
`protected void` | `readFunctions(org.w3c.dom.Element modelElement, EModel model)`
`protected static ImageDescriptor` | `readImage(org.w3c.dom.Element element, java.lang.String diagramName, java.lang.String nodeName)`
`protected static void` | `readLocation(org.w3c.dom.Element element, Node node, java.lang.String diagramName)`
`static void` | `readNodeInfo(org.w3c.dom.Element element, Node node, java.lang.String diagramName)`
`protected Variable` | `readParameter(org.w3c.dom.Element element, java.lang.String name, EModel model)`
`protected void` | `readParameters(org.w3c.dom.Element modelElement, EModel model)`
`protected static java.awt.Point` | `readPoint(java.lang.String str, java.lang.String diagramName, java.lang.String elementName)`
`protected void` | `readState(org.w3c.dom.Element element, java.lang.String diagramElement, EModel model)`
`protected void` | `readStates(org.w3c.dom.Element element, EModel model)`
`protected void` | `readTransition(org.w3c.dom.Element element, java.lang.String diagramElement, EModel model)`
`protected void` | `readTransitions(org.w3c.dom.Element element, EModel model)`
`protected VariableRole` | `readVariable(org.w3c.dom.Element element, java.lang.String diagramElement)`
`protected void` | `readVariables(org.w3c.dom.Element modelElement, Diagram diagram)`
`protected static java.awt.Color` | `stringToColor(java.lang.String colorStr, java.lang.String diagramName, java.lang.String name)`
`protected void` | `writeDiagramElement(org.w3c.dom.Element element, DiagramElement de)`

Methods inherited from class biouml.model.util.DiagramXmlSupport
`error, error, getElement, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stream

    protected java.io.InputStream stream

### diagramInfo

    protected DiagramInfo diagramInfo

### name

    protected java.lang.String name

Constructor Detail

### DiagramXmlReader

    public DiagramXmlReader(java.io.File inFile)
                     throws java.io.FileNotFoundException

  This constructor is used to read diagram from file.

### DiagramXmlReader

    public DiagramXmlReader(java.lang.String name,
                            java.io.InputStream stream,
                            DiagramInfo diagramInfo)

  This constructor is used to read diagram from stream and can be used to read diagram from relational database (TEXT or BLOB).

Parameters:
  `name` - diagram name
  `stream` - stream that contains diagram XML

Method Detail

### readCompartmentInfo

    public static void readCompartmentInfo(org.w3c.dom.Element element,
                                           Compartment compartment,
                                           java.lang.String diagramName)

  Parameters:
    `compartment` - Compartment to which information will be applied.
  Pendung:
    error processing

### readNodeInfo

    public static void readNodeInfo(org.w3c.dom.Element element,
                                    Node node,
                                    java.lang.String diagramName)

### readEdgeInfo

    public static void readEdgeInfo(org.w3c.dom.Element element,
                                    Edge edge,
                                    java.lang.String diagramName)

### getTitle

    protected static void getTitle(org.w3c.dom.Element element,
                                   DiagramElement de)

### readLocation

    protected static void readLocation(org.w3c.dom.Element element,
                                       Node node,
                                       java.lang.String diagramName)

### readDimension

    protected static java.awt.Dimension readDimension(org.w3c.dom.Element element,
                                                      java.lang.String diagramName,
                                                      java.lang.String elementName)

### readPoint

    protected static java.awt.Point readPoint(java.lang.String str,
                                              java.lang.String diagramName,
                                              java.lang.String elementName)

### stringToColor

    protected static java.awt.Color stringToColor(java.lang.String colorStr,
                                                  java.lang.String diagramName,
                                                  java.lang.String name)

### readImage

    protected static ImageDescriptor readImage(org.w3c.dom.Element element,
                                               java.lang.String diagramName,
                                               java.lang.String nodeName)

### read

    public Diagram read()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### read

    public Diagram read(DataCollection origin,
                        Module module)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### readParameters

    protected void readParameters(org.w3c.dom.Element modelElement,
                                  EModel model)

### readParameter

    protected Variable readParameter(org.w3c.dom.Element element,
                                     java.lang.String name,
                                     EModel model)

### readVariables

    protected void readVariables(org.w3c.dom.Element modelElement,
                                 Diagram diagram)

### readVariable

    protected VariableRole readVariable(org.w3c.dom.Element element,
                                        java.lang.String diagramElement)

### readEquations

    protected void readEquations(org.w3c.dom.Element modelElement,
                                 EModel model)

### readFunctions

    protected void readFunctions(org.w3c.dom.Element modelElement,
                                 EModel model)

### readEvents

    protected void readEvents(org.w3c.dom.Element modelElement,
                              EModel model)

### readEvent

    protected void readEvent(org.w3c.dom.Element element,
                             java.lang.String diagramElement,
                             EModel model)

### readAssignment

    protected Assignment readAssignment(org.w3c.dom.Element element,
                                        EModel model)

### readStates

    protected void readStates(org.w3c.dom.Element element,
                              EModel model)

### readState

    protected void readState(org.w3c.dom.Element element,
                             java.lang.String diagramElement,
                             EModel model)

### readTransitions

    protected void readTransitions(org.w3c.dom.Element element,
                                   EModel model)

### readTransition

    protected void readTransition(org.w3c.dom.Element element,
                                  java.lang.String diagramElement,
                                  EModel model)

### readEquation

    protected Equation readEquation(org.w3c.dom.Element element,
                                    java.lang.String diagramElement,
                                    EModel model)

  Pendung:
    equation variable resolving

### writeDiagramElement

    protected void writeDiagramElement(org.w3c.dom.Element element,
                                       DiagramElement de)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.